Debian Bug report logs - #483431
please include drivers for OLPC MMC controller

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Wed, 28 May 2008 19:03:01 UTC

Severity: normal

Tags: patch

Found in version initramfs-tools/0.85h

Fixed in version initramfs-tools/0.92c

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#483431; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please include drivers for mtd and mmc devices
Date: Wed, 28 May 2008 21:01:03 +0200
[Message part 1 (text/plain, inline)]
Package: initramfs-tools
Version: 0.85h
Severity: normal
Tags: patch

Please include drivers for mtd and mmc devices, to make it possible setting
up a root filesystem in them.

Patch attached.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)

Versions of packages initramfs-tools depends on:
ii  busybox                   1:1.1.3-4      Tiny utilities for small and embed
ii  cpio                      2.6-18.1+etch1 GNU cpio -- a program to manage ar
ii  klibc-utils               1.4.34-2       small statically-linked utilities 
ii  module-init-tools         3.3-pre4-2     tools for managing Linux kernel mo
ii  udev                      0.105-4        /dev/ and hotplug management daemo

initramfs-tools recommends no packages.

-- no debconf information
[mmc_and_mtd.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#483431; Package initramfs-tools. Full text and rfc822 format available.

Message #8 received at 483431@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 483431@bugs.debian.org
Subject: initrd size
Date: Sun, 8 Jun 2008 19:21:40 +0200
Regarding the question on initrd size as discussed on IRC:

  - I notice that support for MTD devices is not really useful, since D-I
    doesn't support using them as root filesystem yet, anyway.

  - As for booting from MMC, this dir is smaller than the other one.  If
    you only want to add the modules needed for OLPC, these are:

60K     mmc/core/mmc_core.ko
16K     mmc/card/mmc_block.ko
24K     mmc/host/sdhci.ko

    although just for a few more kiBs you get to support all kinds of SD
    cards, which I'd expect could become a popular install option in general
    PC hardware:

16K     mmc/card/sdio_uart.ko
16K     mmc/host/mmc_spi.ko
8,0K    mmc/host/ricoh_mmc.ko
16K     mmc/host/tifm_sd.ko
20K     mmc/host/wbsd.ko

Thanks

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Changed Bug title to `please include drivers for OLPC MMC controller' from `please include drivers for mtd and mmc devices'. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Sun, 22 Jun 2008 21:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#483431; Package initramfs-tools. Full text and rfc822 format available.

Message #13 received at 483431@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 483431@bugs.debian.org
Subject: ping
Date: Sun, 22 Jun 2008 23:12:18 +0200
Hi,

Any comments on this one?

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What good is a phone call… if you are unable to speak?
(as seen on /.)




Tags added: pending Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 04 Jul 2008 21:51:20 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 483431-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 483431-close@bugs.debian.org
Subject: Bug#483431: fixed in initramfs-tools 0.92c
Date: Fri, 04 Jul 2008 22:47:02 +0000
Source: initramfs-tools
Source-Version: 0.92c

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.92c.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.92c.dsc
initramfs-tools_0.92c.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.92c.tar.gz
initramfs-tools_0.92c_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.92c_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483431@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Jul 2008 00:31:06 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.92c
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 475430 481196 483431
Changes: 
 initramfs-tools (0.92c) unstable; urgency=low
 .
   [ maximilian attems ]
   * doc: fix date string of manual pages.
   * MODULES=most add mmc host and card drivers for OLPC. (closes: #483431)
   * update-initramfs.conf.5: document backup_initramfs variable.
     (closes: #475430)
   * initramfs-tools.8: Document "break" and "panic" behaviour.
     (closes: #481196)
   * wait_for_udev(): simplify, no need for logging.
 .
   [ martin f. krafft ]
   * Wait for udevsettle after -top scripts ran
   * init: Remove extra ellipses
Checksums-Sha1: 
 1172cf33f15df182ac32e744d67bf40d247b4578 996 initramfs-tools_0.92c.dsc
 4e6368a1f1cc83dcb629e9f45b7546e105a19642 65809 initramfs-tools_0.92c.tar.gz
 8b621309f5b3f8deaae00e032e5dcf7d9068f8e7 72644 initramfs-tools_0.92c_all.deb
Checksums-Sha256: 
 86c3ef6f2474fc0e63f440c00d389aecedaed6b94df33964e36ab71ba2310a3b 996 initramfs-tools_0.92c.dsc
 d55bbe84e9ab9dc5213ab81fe4fbcda4add4dccf1d270fc6be44a1d9659c0bf8 65809 initramfs-tools_0.92c.tar.gz
 9c106d55d1612d86f38eba2df85908bbdaff2a46297f20ae2ff27fa24bf88530 72644 initramfs-tools_0.92c_all.deb
Files: 
 4d64e1b489a813268f59505d22e68eb8 996 utils optional initramfs-tools_0.92c.dsc
 13138fc661d409cb04628a1a26c9ee38 65809 utils optional initramfs-tools_0.92c.tar.gz
 28dd4aef156f03b578097f08c97de1c2 72644 utils optional initramfs-tools_0.92c_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIbqV7eW7Lc5tEHqgRAga5AKCj3QGzB5o5e764A0sSP7Xi/NNxBQCfSl4C
lb5HoTQhTuPtOVe0LFhUKy8=
=hYHm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Aug 2008 07:32:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:25:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.